export default Cone;
declare class Cone extends Mesh {
    constructor(color?: string);
    geometry: ConeGeometry;
    material: MeshStandardMaterial;
    applyQuaternion(quaternion: import("three").Quaternion): Cone;
    rotateOnAxis(axis: import("three").Vector3, angle: number): Cone;
    rotateOnWorldAxis(axis: import("three").Vector3, angle: number): Cone;
    rotateX(angle: number): Cone;
    rotateY(angle: number): Cone;
    rotateZ(angle: number): Cone;
    translateOnAxis(axis: import("three").Vector3, distance: number): Cone;
    translateX(distance: number): Cone;
    translateY(distance: number): Cone;
    translateZ(distance: number): Cone;
    add(...object: import("three").Object3D[]): Cone;
    remove(...object: import("three").Object3D[]): Cone;
    attach(object: import("three").Object3D): Cone;
    clone(recursive?: boolean | undefined): Cone;
    copy(source: Cone, recursive?: boolean | undefined): Cone;
}
import Mesh from "./Mesh";
import { ConeGeometry } from "three/src/geometries/ConeGeometry";
import { MeshStandardMaterial } from "three/src/materials/MeshStandardMaterial";
